PDA

View Full Version : [POST] PHPTriad - Cài đặt Apache, PHP, MySQL nhanh chóng



vikhoa
05-10-2002, 15:27
Xin giới thiệu với các bạn PHPTriad, một phần mềm giúp ta Cài đặt Apache, PHP, MySQL và ActivePerl một cách nhanh chóng và không phải config gì hết.

Bạn chỉ cần chạy file .exe, sau đó chạy Apache và MySQL (shortcut được tạo sẵn). Vậy là xong rồi ! Đơn giản quá phải không ?

Download tại đây :

http://unc.dl.sourceforge.net/sourceforge/phptriad/phptriad2-2-1.exe

walking_alone
02-11-2002, 21:29
xin ban noi ro hon ve truong trinh nay cam on nhieu.
cao_son

traixanha
04-11-2002, 05:28
hi
Minh da set up song server (MySQL,PHP & Apache),va mo cai web do (http://65.54.x.x)len no bao la :

"If you can see this, it means that the installation of the Apache web server software on this system was successful. You may now add content to this directory and replace this page.

Seeing this instead of the website you expected?
This page is here because the site administrator has changed the configuration of this web server. Please contact the person responsible for maintaining this server with questions. The Apache Software Foundation, which wrote the web server software this site administrator is using, has nothing to do with maintaining this site and cannot help resolve configuration issues."


Xin chi giup buoc ke tiep la lam gi?Minh da lam xong cai web lau roi,(bang HTML),nhung khong biet lam sao de bo cai web do len server,va lam sao moi lan mo cai web http://65.54.x.x no khong hien len nhung dong chu tren ma khong hien len cai web minh da thiet ke hoac la any graphic ,minh can phai xua lai cai gi trong httpd.conf and ..?thanks alot

Về Đâu
05-11-2002, 16:14
với phptrail bạn không cần sửa bất cứ thứ gì hết mọi dữ liệu trang web sẽ nằm trong C:\apache\htdocs còn nếu bạn thấy vào hơi phiền thì tạo shortcut là xong . gõ http://localhost chứ không phải ip .

vikhoa
05-11-2002, 18:59
Nhớ phải chạy Apache và MySQL-D hoặc MySQL-D-NT (tùy theo Win) trước rồi mới truy cập được.

traixanha
14-11-2002, 02:25
hi
cam on Vkhoa va Vedau ,minh dang tim cach de up load cai VB len server cua minh,neu khong duoc du sao minh cung cam on may ban nhieu lam,con chuyen Khoa da noi voi minh thi minh hua se giup,chao tam biet

hungc19
23-11-2002, 16:19
Sau khi cài xong thì đưa trang Web của mình lên như thế nào ?
Mình nên cài phpTriad trên 98se hay trên XP ?Hiện nay mình đang sử dụng 2 HDH? Và nếu có thể thì Xin vikhoa chỉ chỗ cho mình down một cái forum được không ? Hoặc là CD nào có cho forum miễn phí càng tốt, mình sẽ mua vì mình đang cố gắng tìm hiểu về Web. Mong được sự giúp đỡ.Cảm ơn các bạn

vikhoa
23-11-2002, 23:32
Bạn cài ở Win nào cũng được. Cài xong thì chạy Apache và access vào web site bằng địa chỉ : http://localhost/.....
... là các file web của bạn, những file này chép vào thư mục c:\apache\htdocs.

Forum thì có www.invisionboard.com là free và tốt nhất hiện nay đó.

traixanha
25-11-2002, 03:45
hi vkhoa
minh dang xai vbulletin forum trong server cua minh , neu minh muon doi sang forum cua http://www.invisionboard.com/ thi can phai lam gi,hoac tuong tu neu muon xai phpbb forum.Cam on Khoa nhieu,bye bye

ohaio80
25-11-2002, 09:11
Tôi cũng cài được mấy cái đó rùi nhưng chả biết là phải đăng kí địa chỉ của mình lên Internet kiểu gì

anhpn81
27-11-2002, 11:10
minh thay FOX-1 la hay nhat

ohaio80
27-11-2002, 11:36
FOX-1 là cái gì vậy đó

Về Đâu
30-11-2002, 09:40
Khoa ơi bây giờ mình xài phptrail rồi cần download thêm gì nữa để test được asp vậy ?

traixanha
07-12-2002, 00:26
hi
phptriad co support SMTP khong?minh install roi,va dung phpbb forum,moi lan sign up mot account roi thi no noi la 'failed sending email' nhung ma account van dung duoc,va moi lan co ai replied thi no khong tu dong goi email toi nhung nguoi cung trong topic do??xin hoi phai lam gi?cam on

VALove
25-12-2002, 21:44
mình muốn cài đặt một cái forum ở máy nhà mình mình đã cài SQL server 7.0 rồi nhưng mình không biết làm thế nào tiếp theo .Làm ơn hướng dẫn hộ mình

Maxx
28-12-2002, 00:35
cài FOXServ vô máy rồi làm theo bài hướng dẫn ở đây
Click (http://www.diendantinhoc.com/showthread.php?s=&threadid=8328&highlight=c%C3%A0i+ibf)

hoahongtim
23-01-2003, 20:45
Hiện giờ thì đã có fox 3.0 rùi đó, tuy nhiên sau khi tham khảo trên các diễn đàn thì thấy nó không hoạt động tốt trên winMe, nếu như bạn dùng WinXP thì không thành vấn đề (vì XP có dùng service) ! Còn khi dùng trên hệ win9x thì có một số máy sẽ bị lỗi ... cái đó tuỳ theo lỗi mà hãy post thắc mắc nhé !

lon_ton_sai_vat
14-04-2003, 18:36
Cho em hỏi cách install forum IPB trên FOXSERV 3.0 ? Sau khi cài xong thì phải làm các bước nào ???
Thanks .

digitalknight
16-04-2003, 00:12
tui hông bít điền vào ô SQL Database name & SQL User name khi đăng ký inforums trong FOX, có bác nào bít thì chỉ dùm cái hen!

pt2012
17-04-2003, 23:43
Cho hỏi về phptriad, tôi đã chạy Apache. Vào http://localhost/ để install cái forum phpBB, tuy nhiên khi điền đầy đủ thông tin và nhấn start install thì nó lại hiện lên thông báo:
"
phpBB : Critical Error

Could not connect to the database "

Xin chỉ cách khắc phục. Thanks

pt2012
20-04-2003, 17:05
Sao ko có cao thủ nào hướng dẫn tui hết dzậy???

NemoYooo
02-05-2003, 08:58
Tui có dùng cái Fox 1.1.3 chạy cùng với IIS của XP:
Chạy MySQLadmin, vào tab Databases Creat 1 cái mới, lấy thông số username (còn pass thì bạn đã gõ vào lúc cài đặt FOX),databases name là localhost.
Chúc bạn thành công!

traixanha
02-05-2003, 11:02
Bài viết được gửi bởi NemoYooo
Tui có dùng cái Fox 1.1.3 chạy cùng với IIS của XP:
Chạy MySQLadmin, vào tab Databases Creat 1 cái mới, lấy thông số username (còn pass thì bạn đã gõ vào lúc cài đặt FOX),databases name là localhost.
Chúc bạn thành công!

dung FOX roi thi khỏi dùng IIS ,vi trong Fox co san apache,xai mot thu thôi

traixanha
02-05-2003, 11:05
Bài viết được gửi bởi pt2012
Cho hỏi về phptriad, tôi đã chạy Apache. Vào http://localhost/ để install cái forum phpBB, tuy nhiên khi điền đầy đủ thông tin và nhấn start install thì nó lại hiện lên thông báo:
"
phpBB : Critical Error

Could not connect to the database "

Xin chỉ cách khắc phục. Thanks


may cai php thì hòi Vềđâu đó,ảnh rành mấy cái nay nhất đó

bpmtri
02-05-2003, 11:18
Bài viết được gửi bởi pt2012
Cho hỏi về phptriad, tôi đã chạy Apache. Vào http://localhost/ để install cái forum phpBB, tuy nhiên khi điền đầy đủ thông tin và nhấn start install thì nó lại hiện lên thông báo:
"
phpBB : Critical Error

Could not connect to the database "

Xin chỉ cách khắc phục. Thanks

Lỗi này là lỗi không kết nối được với Database?

Có thể là do bạn chưa chạy MySQL Server. Giải quyết: Chạy file mysqld.exe (trên Windows 9X) hoặc mysqld-nt.exe (trên Windows 2000/XP) trong thư mục C:\mysql\bin.

pt2012
04-05-2003, 14:10
Mình cũng làm vậy rồi, nhưng khi chạy file mysqld-nt.exe (dùng win XP) nó chỉ nhấp 1 cái rồi mất, còn Apache mình chạy tốt, lỗi bị tương tự. Thanks

pt2012
05-05-2003, 11:02
Cám ơn mọi ngườin nhiều, tôi đã dùng được rồi, thanks. Vậy sao khi install đầy đủ xong, tôi có thể upload toàn bộ lên như thế nào để đỡ phải install lại. Thanks

dark_empiers
05-05-2003, 11:35
hiện tui chưa có Apache , vậy ai có thì upload lên luôn đi hay chỉ cho tui đường dẫn để download !

cám ơn !:D

1m80
23-06-2003, 09:21
minh cai duoc phptria roi nhung khi minh cai cai forum phpBB khi nao no ung bi loi la ko ket noi voi co so du lieu ca mat du minh da cai sql roi chan ghe ai biet cach dien vao bảng thông báo của cái forum phpBB bày tui điền với

traixanha
23-06-2003, 09:28
khong ket noi voi sql la ban da dien user name ,database name , pass bi xai roi, ban check lai coi co giong information ma ban da dien cho sql khong,roi noi minh biet,or lien he voi minh x_traixanha_x (YIM) ,good luck

pixelart
03-07-2003, 09:58
hic hic , em đang cài Fox-1 , thế thì cài PHPtriad có bị chạm ko ? ... Cái nào xài goog hơn ạ ... .. lúc em install PHPtrial nó ko có hỏi pass và user .. thế thỉ sao mà biết để install , chép vào thư mục c:\phptriad\tmp phải ko các huynh ?? đa tạ trước ;)

hunglan
17-10-2003, 21:05
Xin hỏi có bản nào nhẹ hơn không? bản này đến 13 MB lận, Download không nổi?!!

virustinhoc
27-10-2003, 11:59
Ê VALove ơi, SQL server 7.0 download ở đâu vậy, có bản mới không ?

virustinhoc
27-10-2003, 12:08
Ê bà con ơi, cài IIS rùi thì không cần phải cài phptriad hả ?

Nếu đã cài IIS trên XP rùi thì làm seo nữa đây, down php, mySQL, Perl ở đâu cho phù hợp với XP, cách tạo một mySQL như thế nào ?

Dee2Team
04-11-2003, 03:09
tại sao khi tôi chạy mysqld-nt.exe ( XP SP1) thì màn hình cmd chỉ hiẹn ra rồi mất luôn? Vậy làm sao để tạo database được?
Tôi đã vào PHPMyAdmin có sẵn trong PHPTriad thì chỉ nhận được thông báo là không connect được với MySQL ???

gate2vn
04-11-2003, 05:53
tại sao khi tôi chạy mysqld-nt.exe ( XP SP1) thì màn hình cmd chỉ hiẹn ra rồi mất luôn? Vậy làm sao để tạo database được?
Tôi đã vào PHPMyAdmin có sẵn trong PHPTriad thì chỉ nhận được thông báo là không connect được với MySQL ???

Bạn xem lại xem MySQL đã khởi động chưa? thường là khi cài với 2K/XP thì MySQL, Apache sẽ được cài thành các services, khởi động cùng Windows. Tôi chưa dùng PHPTriad nên ko biết phpMyAdmin đã được cấu hình chưa. Bạn có thể vào file config của phpMyAdmin kiểm tra lại.

good luck

gate2vn
04-11-2003, 05:56
Ê bà con ơi, cài IIS rùi thì không cần phải cài phptriad hả ?

Nếu đã cài IIS trên XP rùi thì làm seo nữa đây, down php, mySQL, Perl ở đâu cho phù hợp với XP, cách tạo một mySQL như thế nào ?

IIS mặc định chỉ hỗ trợ ASP được thôi. Nếu muốn dùng PHP, bạn phải down PHP xuống. Có bản Installer PHP cho IIS, bạn down bản đó xuống, chạy là ổn thôi. Còn MySQL thì cứ down xuống, install bình thường, sau đó có thể dùng phpMyAdmin để kiểm soát. Perl có thể dùng Active Perl của ActiveState.

virustinhoc
04-11-2003, 19:26
Okie, cảm on, tui đã làm được tương đối.

Dee2Team
06-11-2003, 03:14
Bạn xem lại xem MySQL đã khởi động chưa? thường là khi cài với 2K/XP thì MySQL, Apache sẽ được cài thành các services, khởi động cùng Windows. Tôi chưa dùng PHPTriad nên ko biết phpMyAdmin đã được cấu hình chưa. Bạn có thể vào file config của phpMyAdmin kiểm tra lại.

good luck

Ctrl+Alt+Del ==>mysqld-nt.exe đã chạy. Trước đó tôi đã dùng được rồi, không hiểu sao sau đó lại không dùng được nữa. Cấu hình không hề bị tôi thay đổi (cả truớc đó). Đã thử gỡ và cài lại nhưng không thành công. Nói thêm là tôi cũng đã gỡ và cài riêng từng soft ( Âpche, sql và php) và cũng tương tự như vậy ban đầu đã chạy được vài lần rồi tự nhiên báo Not connect to mysql.

gate2vn
06-11-2003, 06:05
Ctrl+Alt+Del ==>mysqld-nt.exe đã chạy. Trước đó tôi đã dùng được rồi, không hiểu sao sau đó lại không dùng được nữa. Cấu hình không hề bị tôi thay đổi (cả truớc đó). Đã thử gỡ và cài lại nhưng không thành công. Nói thêm là tôi cũng đã gỡ và cài riêng từng soft ( Âpche, sql và php) và cũng tương tự như vậy ban đầu đã chạy được vài lần rồi tự nhiên báo Not connect to mysql.

bạn có thể check lại password. Dùng câu lệnh ở DOS chứ đừng dùng các trình quản lý trên win của mysql. Bản thân tôi đã gặp trường hợp: dùng mysqladmin trên win, đổi password admin, nhưng nó lại không ăn thua, phải vào DOS đổi. Tôi không biết bạn có rơi vào trường hợp đó không, nhưng cứ thử trước xem thế nào.

nobitavietnam
13-11-2003, 21:15
Hiện giờ thì đã có fox 3.0 rùi đó, tuy nhiên sau khi tham khảo trên các diễn đàn thì thấy nó không hoạt động tốt trên winMe, nếu như bạn dùng WinXP thì không thành vấn đề (vì XP có dùng service) ! Còn khi dùng trên hệ win9x thì có một số máy sẽ bị lỗi ... cái đó tuỳ theo lỗi mà hãy post thắc mắc nhé !

Cho mình hỏi sao sau khi mình cài FOX 3 rồi nhưng mà trong service của Windows 2K không có Apache vậy??
Mình thử cài trong Win Xp thì có Apache trong service và chạy tốt!

Mong được giúp đỡ!!!

gate2vn
13-11-2003, 23:01
Cho mình hỏi sao sau khi mình cài FOX 3 rồi nhưng mà trong service của Windows 2K không có Apache vậy??
Mình thử cài trong Win Xp thì có Apache trong service và chạy tốt!

Mong được giúp đỡ!!!

- bạn có thể check lại trong Admin tools -> services, xem có service của apache hay ko. win2k thì chắc chắn sẽ có

- bạn có chạy được apache trên win ko? nếu được thì cứ để dùng cũng được, còn đến lúc cần restart apache thì dùng control panel của Fox :)

nobitavietnam
14-11-2003, 21:27
- Trong service thì mình chắc chắn là không thấy Apache.
- Trước đây mình dùng FOX-1 thì chạy được Apache trong Service.

*** Còn nữa, mình cài PHPTriad cũng không thấy Apache trong service luôn. Nhưng mà lạ ở chỗ là khi dùng CD DDTH.com của vikhoa (dùng PHPTriad) thì có thấy Apache trong Service.
Có ai biết vụ này không vậy??

maxvungtau
10-12-2003, 16:12
hic hic , em đang cài Fox-1 , thế thì cài PHPtriad có bị chạm ko ? ... Cái nào xài goog hơn ạ ... .. lúc em install PHPtrial nó ko có hỏi pass và user .. thế thỉ sao mà biết để install , chép vào thư mục c:\phptriad\tmp phải ko các huynh ?? đa tạ trước ;)
Minh cung mac phai truong hop nay nhung khong biet cach tra loi , co ai biet khong chi gium voiiiii.

vikhoa
10-12-2003, 16:43
Do vikhoa đã có chạy thêm 1 file để register service cho Apache và MySQL. Trong thư mục của apache mà PHPTriad install có sẵn đó, tại ít người để ý thôi.

satthuhuydiet
10-12-2003, 20:27
Tốt nhất là dùng phphome2.3.2 đây là phiên bản mới nhất hiện nay .... cái này chỉ cần cài một phát là xong chẳng phải config gì cả .....

vngalaxy
11-12-2003, 12:35
Vậy còn cái EasyPHP thì sao ? Tôi thấy nó cũng tốt lắm đấy , chỉ hơi phiền 1 chút là tiếng Pháp, sau khi cài chuyển sang tiếng Anh
Các phiên bản php , phpmyadmin , mysql..... đều khá mới

VietDuc
31-12-2003, 23:27
Khoa ơi bây giờ mình xài phptrail rồi cần download thêm gì nữa để test được asp vậy ?
Mình cũng đã từng xài APACHE + PHP + MySQL (cài riêng từng thứ) để chạy PHP. Nhưng bây giờ mình mới Setup lại Windows và chạy IIS để TEST được ASP. ViKhoa có thể chỉ cho mình cái nào Setup 1 lần là có đủ PHP, mySQL không? Vì có cái sourse NEWS chạy PHP nó đòi pass database mà mình không làm sao tạo Pass được mặc dù lúc Setup MySQL xong mình có khai báo PASS.

langthangvn1976
26-01-2004, 11:22
troi oi lan sau viet thi viet ro rang 1 chut admin oi viet khong ro rang ba con ho hoi tum lum het, tui doc cung chang hieu cai qui gi luon... Ban hay viet 1 bai day du post len cho anh em doc di ha... tui doi bai cua ban.. tui cung muon lam 1 cai homeserver nhung di dau cung thay noi lung tum het... thank you

ghostlinuxgnu
08-02-2004, 02:09
Tôi down được cái thằng FoxServ - 3.0, chẳng cần làm gì hết, mọi thứ nhét vào mục c:fox::www thế là xong

bineverlove
08-02-2004, 09:56
máy em không nối mạng vậy em muốn cài server ảo để thử xem và chỉnh sữa forum thì làm sao

NHH
08-02-2004, 11:40
Thì dùng phptriad đi bạn à!
Ko cần nối mạng nhưng vẫn test forum thoải mái luôn,vấn đề quan trọng nằm ở chỗ là làm sao bạn có những bản forum hay khi ko nối mạng được thui!(có thể ra dịch vụ)
Còn việc cài đặt và sử dụng phptriad thì chắc trên đây cũng có hướng dẫn rùi nên mình không nói lại nữa.
Chúc thành công!

Bannang_satthu
16-02-2004, 14:04
máy em không nối mạng vậy em muốn cài server ảo để thử xem và chỉnh sữa forum thì làm sao
Theo mình ban chỉ cần ra hang đĩa mua lấy CD chứa ban FOX-1.1.3 là xong trong đã cõ đủ PHP , MySQL rồi đó chạy cũng ngon lành đâu cần máy của bạn phải nối mạng , Server ảo ma`.

Bannang_satthu
16-02-2004, 14:07
Ai có Foxser-3.0 thì cho mình xin với ! nếu ko thì cho mình link để mình load về cu~ng được thank trước nhé

thiendilac
16-02-2004, 14:11
NHH nói đúng đấy ! Các bạn chỉ cần cài đặt PhpTriad là được, mọi thứ cứ bỏ vào trong thư mục c:\apache\htdocs\ . Không cần phải config gì cả, khỏe re.
p/s : có trong đĩa Musthave25 thì phải, ra tiệm kiếm thử coi sao. :D

bineverlove
28-02-2004, 20:14
không được các bạn ạ.khi tui dùng ipb chưa hack mod thì chạy được.nhưng khi down cái hack mod rồi thì nó báo lỗi không vào được,chắc là phải CHMod nhưng không biết làm.
phải CHMod như thế nào trên máy ở nhà đây.

truongsinh
11-03-2004, 03:16
cac bac day em cach cai dat va upload mot forum moi
em co cai host o yahoo dugn luong 100mb cac bac co the chi cho em cach chon thich hop va loai forum nao dep mot ti
cam on cac bac

dongphuongbatbai
28-03-2004, 22:07
Hì em đang dùng cái phpdev chạy nhanh và ổn định lắm , cả trên win9x lẫn NT(Xp thì hơi trục trặc )

hocmau20
01-04-2004, 11:22
không được các bạn ạ.khi tui dùng ipb chưa hack mod thì chạy được.nhưng khi down cái hack mod rồi thì nó báo lỗi không vào được,chắc là phải CHMod nhưng không biết làm.
phải CHMod như thế nào trên máy ở nhà đây.

máy ở nhà cần gì chmod tất cả đều là 777 hết rồi hihi

longthan2000
07-04-2004, 22:32
làm thế nào để tạo database mình đã setup phptriad rồi nhưng kô biết cách tạo một database thế nào mong chỉ hộ !

chanhyeu
13-04-2004, 19:06
phptriad với FOX 1 cũ quá rồi, hình như là PHP 4.1 thì phải. Nhiều cái không chạy được.
Dùng FOXSERV3 mới hơn đấy PHP 4.2.2

saigonhost
14-04-2004, 03:20
Tôi giới thiệu 1 trình setup server cho localhost Windows rất tiện lợi cho các bạn nghiệp dư lẫn chuyên nghiệp.

Trước đây ai đã từng xài qua bộ setup server TRIAD, đều thích nó ở tính tiện lợi.
Hiện tại TRIAD đã nâng tầm cho các bạn, setup 1 server trên localhost thật dễ dàng, dùng cho Win9x, WinNT, và cho cả WinXP.
Bộ setup của TRIAD, sau khi cài đặt sẽ bao gồm các gói sau:
Apache2Triad version 1.2
Apache version 2.0.47 with ApacheMonitor 2.0.45 and 2.0.47
OpenSSL 0.9.7b standalone and with the mod_ssl 2.0.46 apache2 module
MySQL 4.0.15 standalone with MyODBC 3.51 and winMYSQLadmin 1.4
PHP 4.3.3 as a module with Zend Opt. 2.1.0 ,Turck MMCache 2.4.3, Pear 1.1 and Smarty 2.5.0: Xem nhu có server hổ trợ PHP version mới nhất tháng 10/2003, đặc biệt version này có setup module IMAP cho mail, bạn có thể dùng 1 chương trình mail Clients hỗ trợ IMAP chạy trên localhost luôn, chẳng hạn như Squirrelmail, mà tôi đã giới thiệu trong Forum.

Perl 5.8.0 with mod_perl 1.99_10 apache2 module , Apache::ASP and PPM
Python 2.2.2 with mod_python 3.0.3 , Py2exe 0.3.4, MySQL-python 0.9.2 and Spyce 1.3.11 : Có sẳn PERL và các module của nó, bạn có thể chạy các chương trình CGI thật tiện lợi.

TCL 8.4.2 standalone with TK 8.4 and Vtcl 1.6.0
+ PHP-Nuke 6.9,
PHPmyadmin 2.5.4 : Coi như mới nhất tháng 10/2003
, AWStats 5.9 , Stunnel 4.04 , SSLCert 1.0
+ XMail 1.1.7: Mail server, có cả hàm sendmail, server windows của bạn sẽ giống như server Linux
SlimFTPd 3.14: FTP Server, giúp bạn có 1 mạng LAN nho nhỏ để thực tập
UebiMiau 2.7.5 , PHPXMail 0.33 : Các chương trình Email Clients.
+ PHPcoder 1.03

Version này được trao chuốt thật kỹ, bạn có thể test, check tất cả các module sau khi setup.
Có trình quản lý Server TRIAD.

Nói chung, bạn sẽ có 1 server thật chuyên nghiệp.
Tuy nhiên, bộ setup dùng Apache 2.0.47, thằng này tôi không thích bằng Apache 1.2.9.

Bởi lẽ nó hiện thị tiếng Việt Unicode hơi dỡ.

Để khắc phục, sau khi setup, bạn vô thư mục /apache2/conf/httpd.conf
mở file đó ra, tìm code:

adddefaultCharset ISO-8859-1

thay nó bằng

adddefaultCharset utf-8


Vậy là bảo đảm sẽ hiển thị đúng font unicode (có lẽ tấ cả các trang khi xem nó điều view là utf-8 hết, hơi bị dỡ)
Các bạn có thể tìm hiểu, và download tại đây:
http://apache2triad.sourceforge.net/

download:
http://heanet.dl.sourceforge.net/sourceforge/apache2triad/apache2triad1.2.exe
http://forum.ketoanviet.net/files/apache2triad1.2.exe

Bộ setup nó 46,4MB, hơi bị nặng, nhưng download bằng ADSL thì cũng chỉ là chuyện nhỏ thôi.

doandu
22-04-2004, 14:42
hic

sao tui vo localhost nó không cho vậy

chán quá
cài hoài mà hổng được
bác nào chỉ dẫn cho tui đi

dongphuongbatbai
23-04-2004, 04:41
Nếu như các bạn chỉ cần localhost hỗ trợ php, MySQL thôi thì chỉ cần dùng phpdev các phiên bản từ 423 trở lên là được. Hỗ trợ đầy đủ cả GD library và Zend Optimizer cho tốc độ rất nhanh. Mình đã cài phpdev423 hoạt động tốt trên win9x,Me,nt..còn phpdev5 thì có 1 tí xíu lỗi khi chạy trên win9x, khi đó chỉ cần dùng công cụ ApacheMonitor là được

doandu
23-04-2004, 16:14
hic

cài IPB nó đòi CHmod làm sao bi giờ?

nhkhoa
03-06-2004, 01:10
xin hỏi bạn Saigonhost chút:
tôi viết bằng PHP,dữ liệu là SQL Server, font trong dữ liệu là UTF-8, khi lấy dữ liệu là một chuỗi trong TextBox(Tiếng Việt)đem Search trong DataBase, nếu chạy trên WebServer là IIS thì nó chạy tốt, cũng giống nguyên như vậy nhưng chạy trên Apache (tôi đang dùng Apache 1.3.23 ) thì nó không Search ra được, chỉ Search được một số chuỗi tiếng Việt, có phải là do Web SerVer Apache không ? co ai đã gặp trường hợp này chưa chỉ dùm với. co gi mail về nhkhoaus@yahoo.com xin cam ơn nhiều lắm lắm!
tôi có đọc bài viết của bạn, bạn có nói :Để khắc phục, sau khi setup, bạn vô thư mục /apache2/conf/httpd.conf
mở file đó ra, tìm code:

adddefaultCharset ISO-8859-1

thay nó bằng

adddefaultCharset utf-8
tôi làm rồi nhưng khong ép phê gì hết, bạn còn chiêu nào không? chỉ với

anhtuancool
26-06-2004, 18:26
Cho hỏi đã cài được Apache2Triad ver1.2 vào được phpMyAdmin, muh có ai chỉ em làm database trong đóa không, tạo database thì được, nhưng add username và password thế nào.
:D

Yuris_revenge
27-06-2004, 08:53
Theo Yuris nhớ thì PC NEWS 30 (có bán ở các cửa hàng software) có Foxserv3, nếu không mua được bạn có thể vào http://www.hotscripts.com để tìm.

cocbay
21-07-2004, 03:59
tôi đã cài MySQL + Apache + PHP 4.... trên XP...bây giờ phải làm sao nữa....phải tạo CSDL sao???Đọc cuốn PHP Việt hóa của anh Lê Hoàn đến chổ phpForum rồi ko làm gì được nữa...hic....xin chỉ giúp.....

halongvip
01-10-2004, 01:41
adddefaultCharset ISO-8859-
thay bằng
#adddefaultCharset ISO-8859-

satthuhuydiet
09-10-2004, 12:04
sao không chịu dùng thằng appserv hay thằng phphome ... đều có phiên bản mới nhất đó php 5.0.1 good lắm, tui thì tui cứ install mấy cái đó dùng cho nhanh hê hê.... config thì củng test cho biết thôi chứ mổi lần cài PC mà phải cấu hình php mất 30' thì tội lỗi thay hê hê

Yuris_revenge
09-10-2004, 12:18
Apache2Triad <-- cai này xài good lắm á, có nhiều dv kèm theo

satthuhuydiet
09-10-2004, 12:22
Cái đó sao mà good bằng thằng appserv được, có cả Zend hê hê perl full :D

ITbaby
09-10-2004, 12:37
Apache2Triad cũng có chứ ai nói là không có , vào đây mà xem info của nó đi nè anh Linh http://apache2triad.sourceforge.net/

satthuhuydiet
09-10-2004, 12:43
Ủa trời vây là mình lạc hậu mất mấy version rồi híc IT đi nhanh chóng mặt quá : mà thằng phphome nay ra phiên bản phphomè.3.4 rồi đó good lắm down về install thử đi...

saigoneyes
09-10-2004, 12:43
Ai đã từng dùng PHPTriad, chắc hẳn sẽ biết ngay AppServ dùng để làm gì nhỉ. Tôi đã sử dụng AppServ 2.4.x và 2.5.x được 1 thời gian rất lâu thay cho PhpTriad và thấy rõ ràng là hơn hẳn rất nhiếu.

Hiện AppServ có 2 phiên bản : 2.4.x và 2.5.x. Phiên bản 2.5.x là phiên bản mới đã được fix lỗi và sử dụng bộ trọn gói kèm theo mới hơn bao gồm PHP5, Apache 1.3.31, MySQL 4.0.20, Zend 2.5.3, PHPMyAdmin 2.6.0-rc1 và Perl 5.8.4. Tuy nhiên có thể nó sẽ không chạy tốt đối với PHP code cũ. Lúc này bạn nên sử dụng AppServ 2.4.x

AppServ 2.4.1
PHP 4.3.8
Apache 1.3.31
MySQL 4.0.20
Zend Optimizer 2.5.3
phpMyAdmin 2.6.0-rc1
Perl 5.8.4

Download : http://prdownloads.sourceforge.net/....1.exe?download

AppServ 2.5.1PHP 5.0.1
Apache 1.3.31
MySQL 4.0.20
Zend Optimizer 2.5.3
phpMyAdmin 2.6.0-rc1
Perl 5.8.4

Download : http://prdownloads.sourceforge.net/....1.exe?download

satthuhuydiet
09-10-2004, 12:49
Cool cuối cùng thì củng có một người chịu dùng appserv , tôi xin khẳng định lại một lần nữa soft giả lập server php & mysql tốt nhất nhẹ nhất và hổ trợ nhiều nhất vẫn là appserv .... sự thật qua kiểm chứng chất lượng ISO 9003 mới ban hành sáng qua.

ITbaby
09-10-2004, 12:56
Híc ! search quoài trên NET không ra cái phiên bản phphomè.3.4 của nó :( :( anh cho link trực tiếp đi

Yuris_revenge
09-10-2004, 12:59
apache2triad có thể enable ASP nhưng không hiều sao test nó không run, pó tay luôn nên đành sài IIS hix hix, ai biết chỉ dùm cách bật và run ASP khi cài apache2triad. hi hi

satthuhuydiet
09-10-2004, 13:01
http://prdownloads.sourceforge.net/phphome/phphome_2.3.4.zip?download đáp ứng ngay cho em đó
muốn sưu tập tất cả các version thì vô đây :
http://sourceforge.net/projects/phphome/
good luck

ITbaby
09-10-2004, 13:21
uhm baby cũng gặp trường hợp như anh đó anh Yuris_revenge à, có ai biết cách chỉ giúp baby với , baby cũngđang dùng IIS chung luôn :(

satthuhuydiet
09-10-2004, 13:25
uhm satthuhuydiet cũng gặp trường hợp như you đó Yuris_revenge à, có ai biết cách chỉ giúp satthuhuydiet với , satthuhuydiet cũngđang dùng IIS chung luôn, chay vẩn rất ok

ITbaby
09-10-2004, 13:29
http://prdownloads.sourceforge.net/phphome/phphome_2.3.4.zip?download đáp ứng ngay cho em đó
muốn sưu tập tất cả các version thì vô đây :
http://sourceforge.net/projects/phphome/
good luck
Cảm ơn anh nhiều nhé, em test nó ngay đây :)

Yuris_revenge
10-10-2004, 10:14
http://www.apache-asp.org <-- thử về đây download về run xem sao hix hix o nhà không có xài apache nên không test được, ai test xong cho xin cái bản chỉ dẩn.


<!-- sample here -->
<html>
<body>
For loop incrementing font size: <p>
<% for(1..5) { %>
<!-- iterated html text -->
<font size="<%=$_%>" > Size = <%=$_%> </font> <br>
<% } %>
</body>
</html>
<!-- end sample here -->
Lạ hoắc

dongphuongbatbai
13-10-2004, 17:28
Cool cuối cùng thì củng có một người chịu dùng appserv , tôi xin khẳng định lại một lần nữa soft giả lập server php & mysql tốt nhất nhẹ nhất và hổ trợ nhiều nhất vẫn là appserv .... sự thật qua kiểm chứng chất lượng ISO 9003 mới ban hành sáng qua.

Hè hè ..... cái AppServer nhà bác tính sao với con WAMP Server nhà em đây :

AppServ 2.5.1 :

PHP 5.0.1
Apache 1.3.31
MySQL 4.0.20
Zend Optimizer 2.5.3
phpMyAdmin 2.6.0-rc1
Perl 5.8.4

WAMP (=Windows Apache Mysql Php ) Server 5.1.3

PHP 5.0.2 + PECL
Apache 1.3.31
MySQL 4.0.21
phpMyAdmin 2.6.0-rc3
SqliteManager
Add-on : khi cài đặt các phần Addon sẽ auto-config với Server
Zend Optimizer 2.5.3
Perl 5.8.4
PHP 4.3.9 ( tự động thay thế PHP5 )
Apache 2.0.50 ( tự động thay thế Apache 1.3.31)
Các bác vô đây download về xài thử :
http://www.wampserver.com/en/download.php
Addon:
http://www.wampserver.com/en/add-ons.php

erosinlove
19-10-2004, 09:27
con Wamp cùi lủi ! bác test kĩ cái GD 2.08 của nó đi ! lỗi tè le ! hớ hớ !AppServer nhỏ mà có võ á !

dongphuongbatbai
10-11-2004, 21:04
Hì , hình như mặc định thằng WAMP nầy có GD nhưng mà nó chưa bật. Bro phải chỉnh trong file php.ini rùi nó có luôn mà ...

traitimbang
16-11-2004, 18:11
chào mọi người nha!
hãy chỉ cho tôi biết làm sao để có thể vào được địa chỉ nào
đó có yahoo 6.0 hay 6.6 gì gì đó!đại khái là yahoo nhiều nick
ấy!làm ơn chỉ giùm nha! tui đang cần gấp đó!

canthobuon
16-11-2004, 19:23
http://www.apache-asp.org <-- thử về đây download về run xem sao hix hix o nhà không có xài apache nên không test được, ai test xong cho xin cái bản chỉ dẩn.


<!-- sample here -->
<html>
<body>
For loop incrementing font size: <p>
<% for(1..5) { %>
<!-- iterated html text -->
<font size="<%=$_%>" > Size = <%=$_%> </font> <br>
<% } %>
</body>
</html>
<!-- end sample here -->
Lạ hoắc

Lạ hả?

Khi nói tới ASP bà con cứ hiểu lầm là viết coding giống như coding ASP của IIS. Không phải vậy đâu. ASP bên Apache khác với ASP bên IIS. Bên Apache cũng dùng <% %> hay <%=variable %> ký hiệu này. Nhưng các thứ khác hoàn toàn khác ASP bên IIS. Bên Apache, ASP chính là Perl dạng Object của windows với COM. ASP bên Apache cũng có 5 objects giống như ASP bên IIS:
Session, Response, Request, Application và Server

Vì ASP bên Apache là Perl nên họ hay dùng scope :: và pointer -> để tạo object khi coding lắm. ASP bên Apache cũng dùng ADO để nối vô database được. Hình như trước kia cái này của Hotchili tạo ra để bên Linux/Unit nối vô database bên Windows đó.

nguyenduylong
18-03-2005, 13:59
ai muốn biết chi tiết về cài đặt apache xin mời đến www.javavietnam.com hoặc sang www.phpvietnam.net. có hướng dẫn chi tiết từng tí xíu một.

ddm01
02-04-2005, 14:01
bác nào chỉ em cách uninstall phptriad 2-2-1 với.

Mình đã vào services, disable cai' phpgeekutil, apache , với mysql. Restart cái computer thì cái apache và mysql mất, còn cái phpgeekutil vẫn còn nhưng đã disable.
Vào delete folder apache thì được. Delete folder phptriad thì hổng được, nó nói là: phptriad is a windows system folder and is required for windows to run properly. It cannot be deleted.

Có bác nào uninstall rồi. giúp em với. Delete cái folder phptriad hổng được. Rất cần remove cái phptriad này. thanks trước nha.

tyno
18-10-2005, 05:18
Dung vay,phptriad rat tot.Lan dau tien luc chua biet gi ca mninh cung da su dung ni
Tuy nhien ,no cung co diem bat tien la phien ban cua php do no cai luon luoc tap hopn phien ban pph dang co

emgaimientay
20-10-2005, 08:12
vậy hiện nay có bản PHPtriad mới chưa ? hỗ trợ các PHP và MySQL mới đó mà !
ai biết cho em link download đi, em cám ởn

xomnhoaka
21-10-2005, 06:28
Đã thử hết với tất cả rồi từ PHPtriad, Foxserv , Apache đến PhpHome nhưng mà không biết xài ? Mò hoài mà không được bạn nào có thể hướng dẫn cụ thể 1 phần mềm mà bạn đang dùng nếu được như vậy thì chỉ cần 4 bài nữa sẽ khóa topic :D Cảm ơn các bạn trước

Getblackcat13
17-03-2007, 16:54
EM chả dow dc cái Apache nào cả
Kink toàn đie thui
MÁy anh up cho em lai nha

khamvaphaonline
02-07-2007, 22:25
Cái này chạy trên XP khác good tuy không làm sao để khi chạy mặc định font là Utf-8. Hiện tôi chuyển sang đùng vista thì không work nữa nên chẳng bít có phần mềm nào thay thể không.

aol577
05-10-2007, 18:04
Mình không biết điền vô mấy chổ này nhờ các bạn giúp dùm.
Theo chỉ dẩn ở trên mình cài đặt MysQl + PHP và Apche lên máy Windows XP ở nhà. Mình run http://localhost/web nó thành công. Mình mua cái PHP Script của tụi php4script.com vể unzip cái gallery vô C:\\gallery
Trong IIS Default Web Site ->New-> Virtual Directory
Nhập alias là gallery chọn C:\gallery
Mở Internet lên đánh vô http://localhost/gallery/install/index.php
nó mở ra như sau:
http://vietnova.com/images/installphp.jpg
Xin chỉ cho mình điền vô mấy ô chử xanh. Máy mình làm home server.
Tính xong xuôi sẻ đăng ký no-ip.com để trỏ về máy nhà.
2. Please enter the path to your 'gallery' folder.


Web Address <?=(empty($_POST['www_dir']) ? $www_dir : $_POST['www_dir']);?>
Document Path <?=(empty($_POST['root_dir']) ? $root_dir : $_POST['root_dir']);?>


3. Please enter the administration password and e-mail.


Username <?=(empty($_POST['login']) ? ">*
Password <?=(empty($_POST['password']) ? ">*Confirm Password <?=(empty($_POST['password2']) ? ">*


E-mail <?=(empty($_POST['email']) ? ">


4. Create your MySQL database. Please enter your MySQL database information.


MySQL Host <?=(empty($_POST['db_database']) ?">
MySQL Username <?=(empty($_POST['db_user']) ?">
MySQL Password <?=(empty($_POST['db_pass']) ?">
MySQL Database <?=(empty($_POST['db_database']) ?">


Xin cám ơn các bạn rất nhiều.

haithanhqb
07-12-2007, 16:15
điểm mạnh của PHP là gì ? nó có hỗ trợ hướng đối tượng không?
bạn nào biết giúp mình với nhé

http://huunghia.vn

•Thiên•Địä•™
20-10-2010, 21:35
mình dow cái bản ở trên của bạn về nhưng mà không được nản quá bạn có thể giúp mình được không

courageous
17-11-2010, 11:31
Ai cần Flash template thì download về nha, đảm bảo tuyệt đẹp

http://adf.ly/BImm